Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class ItemsByQualityValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.shoppingadvisor.ItemsByQualityValue

public class ItemsByQualityValue
extends SmartValue

This class has a particular quality, and it has a collection of items that have that quality to some degree.

See Also:
  `ItemsByQuality`, `ItemsByQualityHome`, `ItemsByQuality.getItemsByQualityByValue()`, `ItemsByQuality.setItemsByQualityByValue(ItemsByQualityValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.LinkedList` | `itemByDegrees` itemByDegree (List) [ItemsByQuality] <*>------> [`theory.smart.ebusiness.shoppingadvisor.ItemByDegree`] 0..*
`java.lang.String` | `qualityName` qualityName [ItemsByQuality] <*>------> [`String`] (Primary Key)

Constructor Summary
`protected` | `ItemsByQualityValue()` Only get/setItemsByQualityByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qualityName

    public java.lang.String qualityName

                        qualityName
       [ItemsByQuality] <*>------> [String] (Primary Key)

### itemByDegrees

    public com.sun.java.util.collections.LinkedList itemByDegrees

                        itemByDegree (List)
       [ItemsByQuality] <*>------> [theory.smart.ebusiness.shoppingadvisor.ItemByDegree]
                           0..*

Constructor Detail

### ItemsByQualityValue

    protected ItemsByQualityValue()

  Only get/setItemsByQualityByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.